Bug 1308642 - Glance image import: wrong target storage domain is mentioned in the running task
Glance image import: wrong target storage domain is mentioned in the running ...
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
3.6.3.1
Unspecified Unspecified
unspecified Severity low (vote)
: ovirt-3.6.5
: 3.6.5
Assigned To: Idan Shaby
Elad
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-15 11:43 EST by Pavel Novotny
Modified: 2016-04-21 10:42 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When importing an image from Glance, we used to notify the user about it in the tasks tab: "Importing Disk <disk_name> to domain <source_domain>" Obviously, we don't import a disk to its source, but to its destination. So this was fixed to be: "Importing Disk <disk_name> to domain <destination_domain>"
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-21 10:42:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: ovirt‑3.6.z?
pnovotny: planning_ack?
rule-engine: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)
screen: running task for Glance image import (39.77 KB, image/png)
2016-02-15 11:43 EST, Pavel Novotny
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 53649 master MERGED backend: override default job property in ImportRepoImageCommand 2016-02-17 08:10 EST
oVirt gerrit 53674 ovirt-engine-3.6 MERGED backend: override default job property in ImportRepoImageCommand 2016-02-18 14:29 EST

  None (edit)
Description Pavel Novotny 2016-02-15 11:43:35 EST
Created attachment 1127343 [details]
screen: running task for Glance image import

Description of problem:
When importing an image from OpenStack Glance,
message in related running task mentions wrong storage.
It actually mentions name of the source Glance domain.

Version-Release number of selected component (if applicable):
rhevm-webadmin-portal-3.6.3.1-0.1.el6.noarch

How reproducible:
100%

Steps to Reproduce:
1. Have a Glance storage 'rhevm-qe-infra-glance' with image 'ubuntu-12.04_Disk1'.
2. Import the image to an NFS export domain 'nfs_0'.
3. Check the message of related running task, see attached screenshot.

Actual results:
Message says: Importing Disk ubuntu-12.04_Disk1 to domain rhevm-qe-infra-glance

Expected results:
Importing Disk ubuntu-12.04_Disk1 to domain nfs_0

Additional info:
Comment 1 Allon Mureinik 2016-02-17 08:11:06 EST
Idan please backport the patch and supply the doctext.
Comment 2 Elad 2016-03-31 10:27:36 EDT
Image import from a Glance repository is reported correctly with the target data domain, where the image is imported to, in the event log:

User admin@internal successfully imported image updt_pbalogh-test to domain nfs_0.

Used:
rhevm-3.6.5-0.1.el6.noarch
rhevm-webadmin-portal-3.6.5-0.1.el6.noarch

Note You need to log in before you can comment on or make changes to this bug.